GET
/v1/sessions/{session_id}/remote/usersSee who's connected — names, what they're focused on, their device type, and whether they have write access.
Authorization
apiKeyAuth X-Taiku-Token<token>
Your API key from taiku login. Also available as TAIKU_TOKEN env var.
In: header
Path Parameters
session_id*string
Query Parameters
client?integer
Optional target browser client ID. Useful when multiple clients are connected to the same session.
Range
0 <= valueResponse Body
application/json
text/plain
text/plain
text/plain
text/plain
text/plain
text/plain
curl -X GET "/api/v1/sessions/string/remote/users"{
"result": [
{
"name": "nathan",
"focus": 1,
"canWrite": true,
"device": "Mac Web"
},
{
"name": "guest",
"focus": null,
"canWrite": false,
"device": "iPhone Web"
}
]
}"Command failed""Unauthorized""Not the session owner""Session not found""Session closed""No active browser clients responded"